# NoCloud Auto Installer

NoCloud-Auto-Installer is designed to automatically install all applications for the [NoCloud solution](https://gitlab.tetras-libre.fr/nocloud).

NoCloud-Auto-Installer is modular, it allows you to have a dockerized or non-dockerized installation and to deploy the desired services.

## Environnement

All configuration is on .env.main.sample. By default, this environnement is configure to feat with Tétras-libre's needs

## Install

1. intall `apt-get install vim git tmux`
2. `tmux new -s installation`
3. `cd /opt; git clone https://gitlab.tetras-libre.fr/nocloud/NoCloud-Auto-Installer; ln -s /opt/NoCloud-Auto-Installer /root`
4. `cd NoCloud-Auto-Installer`
5. `cp main.env.sample main.env`
6. Edit the 'main.env' file to put the right modules and domains do not touch the 'MAINTENANCE_LEVEL' **if you dont do that, Tetras Libre get access to your server**
7. `bash run.sh`
8. Test the connection with the ssh key (in case of hosting by OVH, remove the waring in '.ssh/authorized_keys')
9. **Delete temporary user as needed** `deluser [user] && rm -r /home/[user]`
10. `. main.env; bash validate.sh`
11. Put your ssh key in `/root/.ssh/authorized_keys` if needed

If dockerweb doesn't have the right uid, you can chaange it **only if it's not already in use** thanks to:
```sh
groupmod -g 1000 dockerweb
usermod -u 1000 -g 1000 dockerweb
id dockerweb
```

At this point, you have a NoCloud server ready with the intended modules not configured and no DNS

11. Set up your DNS through your provider
12. `apt dist-upgrade`
13. Reboot
14. `/opt/NoCloud-Auto-Installer/validate.sh`
15. Reverse DNS configuration (in the OVH order or at the ISP depending on the order)
16. Sending a test email `echo -e "Subject: test\n\nThis is a test" | sendmail -t root` and check its receipt

Well done.

## Backup

Tu backup your services data you can use [duplicity-ftp-backup](https://gitlab.tetras-libre.fr/nocloud/duplicity-ftp-backup). All needed informaiton in readme of repository.

## Upgrade

1. `sudo tmux`
2. `cd /root/NoCloud-Auto-Installer; git pull; bash upgrade/All.sh`
3. Let it unfold and answer the question individually
4. À la fin vérifier sur chaque serveur en commencant
    1. That Rkhunter only displays green messages (if necessary, look in `/var/log/rkhunter.log`)
    2. Clamav detects nothing but fishing for people with their email on nextcloud
    3. The host names displayed for each client are accessible (`liste-domain.txt | xargs firefox`)
    4. Stop the maintenance service `cd /home/dockerweb/maintenance; docker-compose down`
5. Troubleshoot any issues

## Licence

This program is distributed under GPLV3 Licence, see `Licence.txt`
