#!/bin/bash

echo "RUN $(basename "$0") ==="

DIR=$(realpath $(dirname $0)/..)
if [ ! -e $DIR/main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $DIR/main.env

backup_system=""
duplicity_dir="/opt/duplicity-ftp-backup/"
duplicity_alt_dir="/root/duplicity-ftp-backup/"
if [ -d $duplicity_dir ]; then
    backup_system="$backup_system duplicity"
    cd $duplicity_dir
    ./collection_status.sh
fi

if [ -d $duplicity_alt_dir ]; then
    backup_system="$backup_system duplicity"
    cd $duplicity_alt_dir
    ./collection_status.sh
fi

if [ ! -z "$(which tetras-back)" ]; then
    backup_system="$backup_system tetras-back"
    cat /etc/tetras-back/configuration.pl | awk -F '>' '/last_backup/{print $2} /name/{print $2}'
fi

RED='\033[0;31m'
NC='\033[0m' # No Color
if [ -z "$backup_system" ]; then
    printf "${RED}ERROR no backup found !!!${NC}\n"
fi
