#!/bin/bash

echo "RUN $(basename "$0") ==="

if [ "${WEB_SERVER}" == "apache2" ]; then
    apache2ctl -S 2>/dev/null | awk '/namevhost/{print "https://"$4}' | sort -u | grep -v "127.0...1"
elif [ ! -z "${WEB_SERVER}"]; then
    awk '/^[ \t]*(server_name|server_alias)/{gsub(/;$/, "", $2); print "https://"$2}' /etc/nginx/*-enabled/* | sort -u
fi

# If traefik module is enable
if id "dockerweb" >/dev/null 2>&1; then
  # List all traefik domain
  echo "===== list of domain ===="
  docker ps -qa | xargs docker inspect | awk '/traefik.http.routers.*.rule/{print $2}' | sed -e 's/^"Host(`//' -e 's/`)",*//' -e 's/`,`/\n/g' | grep -v 'ClientIP' | sort -u
fi
