#!/bin/bash -
#
# Copyright (C) 2017  Tetras Libre <admin@tetras-libre.fr>
# Author: Curt, Sebastien <sebastien.curt@tetras-libre.fr>
#
# This program is free software: you can redistribute it and/or modify # it
# under the terms of the GNU General Public License as published by # the Free
# Software Foundation, either version 3 of the License, or # (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, # but WITHOUT
# ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the # GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License # along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

set -o nounset                              # Treat unset variables as an error

echo "RUN $(basename "$0") ==="

DIR=$(realpath $(dirname $0)/..)
if [ ! -e $DIR/main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $DIR/main.env

apt-get update

if [ "${WEB_SERVER}" == "apache2" ]
then
    export WEB_SERVER_PACKAGES="apache2"
else
    export WEB_SERVER_PACKAGES="nginx-extras php-fpm"
fi

DEBIAN_FRONTEND='noninteractive' apt-get -qq install \
    php \
    php-apcu \
    php-bcmath \
    php-curl \
    php-gd \
    php-intl \
    php-mysql \
    ${WEB_SERVER_PACKAGES}


cat <<EOF > /etc/fail2ban/jail.d/nocloud_base.conf
[apache-auth]
enabled = true
[apache-badbots]
enabled = true
[apache-noscript]
enabled = true
[apache-nohome]
enabled = true
[apache-botsearch]
enabled = true
[apache-modsecurity]
enabled = true
[apache-shellshock]
enabled = true
[apache-overflows]
enabled = true
[php-url-fopen]
enabled = true
EOF
fail2ban-client reload
