#!/bin/bash
echo "RUN $(basename "$0") ==="


DIR=$(realpath $(dirname $0)/..)
if [ ! -e $DIR/main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $DIR/main.env

duplicity_dir="/opt/duplicity-ftp-backup/"
duplicity_alt_dir="/root/duplicity-ftp-backup/"
if [ -d "$duplicity_dir" ]; then
    backup_dir="$duplicity_dir"
elif [ -d "$duplicity_alt_dir"]; then
    backup_dir="$duplicity_alt_dir"
fi
if [ -z "$backup_dir" ]; then
    echo "WARNING duplicity backup system not found"
    exit 1
fi
cd $backup_dir
git pull
bash $DIR/checks/backups.sh
