#!/bin/bash

echo "RUN $(basename "$0") ==="

DIR=$(realpath $(dirname $0)/..)
if [ ! -e $DIR/main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $DIR/main.env

SCRIPT_DIRECTORY=$(dirname $0)
if [ -z "$(grep 'capabilities' /etc/apache2/sites-available/collabora.conf)" ]; then
    . main.env
    cp $SCRIPT_DIRECTORY/etc/apache2/sites-available/collabora.conf /etc/apache2/sites-available/
    sed -ie "s/\(ServerName\) .*/\1 collabora.${DOMAIN}/" /etc/apache2/sites-available/collabora.conf
    a2dissite collabora-le-ssl.conf
    rm /etc/apache2/sites-available/collabora-le-ssl.conf
    certbot install
fi
systemctl stop collabora
docker rm collabora
docker rmi -f collabora/code
/bin/bash `dirname $0`/startcollabora.sh
