#!/bin/bash

echo "RUN $(basename "$0") ==="

if [ ! -e $(dirname "$0")/../main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $(dirname "$0")/../main.env

version=7.0
dol_path="/usr/share/dolibarr"
build_dir="$dol_path/build"
gen_file="$build_dir/generate_filelist_xml.php"
raw_url="https://raw.githubusercontent.com/Dolibarr/dolibarr/$version/build/generate_filelist_xml.php"

if [ ! -e "$gen_file" ]
then
    mkdir -p $build_dir
    cd $build_dir
    wget $raw_url
fi
sudo -u www-data php $gen_file release=auto
echo "Now go to https://dolibarr.$DOMAIN/admin/system/filecheck.php"
echo "Then click on verify to get the file list hash to put on the attestation"
echo "Also extract the file $dol_path/htdocs/install/filelist-7.0.1.xml"
