#!/usr/bin/env bash

set -o nounset                              # Treat unset variables as an error

echo "RUN $(basename "$0") ==="

DIR=$(realpath $(dirname $0)/..)
if [ ! -e $DIR/main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $DIR/main.env


ignoreips=()

for domain in "${IGNORE_DOMAINS[@]}"; do
    # Use dig to get the IP address
    ip=$(dig +short "$domain")
    ignoreips=("${ignoreips[@]}" $ip)
    # Displays the domain name and IP address
    echo "$domain : $ip"
done
