#!/bin/bash

echo "RUN $(basename "$0") ==="

if [ ! -e $(dirname "$0")/../main.env ]
then
    echo "Please copy in root of NoCloud Auto Installer main.env.sample to main.env and edit it"
    exit 1
else
    echo "Environment file loaded"
fi
. $(dirname "$0")/../main.env

SCRIPT_DIRECTORY=`dirname $0`
. $SCRIPT_DIRECTORY/main.env
. $SCRIPT_DIRECTORY/installNextcloud.env
docker pull collabora/code
docker run \
    -t \
    -d \
    -p 127.0.0.1:9980:9980 \
    -e "domain=` echo nextcloud.${DOMAIN} | sed -e 's/\./\\\\./g'`" \
    --cap-add MKNOD \
    --name collabora \
    collabora/code
systemctl stop collabora
systemctl start collabora
